Bug 492690 - (kvirc) Review Request: kvirc - Free portable IRC client
Review Request: kvirc - Free portable IRC client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexey Torkhov
Fedora Extras Quality Assurance
:
: 451582 (view as bug list)
Depends On:
Blocks: RussianFedoraRemix
  Show dependency treegraph
 
Reported: 2009-03-28 07:15 EDT by nucleo
Modified: 2011-07-11 23:36 EDT (History)
6 users (show)

See Also:
Fixed In Version: 4.0.0-0.6.20090409svn3173.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 20:48:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
atorkhov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description nucleo 2009-03-28 07:15:27 EDT
Spec URL: http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc.spec
SRPM URL: http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc-4.0-0.5.svn3168.fc10.src.rpm
Description: 
KVIrc is a free portable IRC client based on the excellent
Qt GUI toolkit. KVirc is being written by Szymon Stefanek
and the KVIrc Development Team with the contribution of
many IRC addicted developers around the world.

KVIrc 4 built from svn code with Qt4 support and KDE4 integration.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1262917

$ rpmlint kvirc.spec kvirc-4.0-0.5.svn3168.fc10.i386.rpm kvirc-debuginfo-4.0-0.5.svn3168.fc10.i386.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 nucleo 2009-03-28 07:16:34 EDT
*** Bug 451582 has been marked as a duplicate of this bug. ***
Comment 2 Alexey Torkhov 2009-03-28 08:29:35 EDT
I see the following problems with the spec:

- %{_datadir}/%{name} is unowned

- Scriptlets are non-standard. Please use standard ones
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets

- It should have date of last commit in release tag, like "0.4.20090320svn3151%{dist}"
https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Snapshot_packages

- A lot of code is GPLv2+. Is there anything that GPLv2-only?
Also license contains exceptions, I asked fedora-legal list about it.
It seems to me that "GPLv2+ with exceptions" should be used as license field.

And a few minor/cosmetic ones:

- Why does it doing build inside %{_target_platform} dir?

- Use of --vendor "" is not needed.

- You decide to exclude empty files, but are they surely aren’t affect program runtime?
Comment 3 Alexey Torkhov 2009-03-28 09:16:26 EDT
- Shouldn't version be 4.0.0 ?
Comment 4 nucleo 2009-03-28 10:34:55 EDT
(In reply to comment #2)
- Fixed owener of /usr/share/kvirc
- Changed release tag and license field

Scriptlets are exactly as on your link.
Now builds are in default directory.
--vendor "" removed from desktop-file-install.

I didn't notice any difference between kvirc running with 
/usr/share/kvirc/4.0/modules/caps/ directory and without it.

(In reply to comment #3)
Now version 4.0.0.

New spec and srpm
Spec URL: http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc.spec
SRPM URL: http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc-4.0.0-0.1.20090328svn3168.fc10.src.rpm

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1263073

$ rpmlint kvirc-4.0.0-0.1.20090328svn3168.fc10.src.rpm kvirc-4.0.0-0.1.20090328svn3168.fc10.i386.rpm kvirc-debuginfo-4.0.0-0.1.20090328svn3168.fc10.i386.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 5 Steven M. Parrish 2009-03-28 15:31:53 EDT
Thanks Nucleo for taking this up.  The reason I had postponed it was that with 4.0 in development didn't want to package a legacy kde3 based app.  You've done a good job getting this working.  Here are 2 issues one of which is a showstopper.

1st.  Qt4.5 is soon to hit, you need to check with upstream KVIrc devs to make sure the current code base is compatible.

2nd and the show stopper is this

MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

I'll keep an eye on this request and complete the review when its ready.

Steven
Comment 6 Alexey Torkhov 2009-03-28 15:34:24 EDT
(In reply to comment #5)
> 2nd and the show stopper is this
> 
> MUST: The spec file MUST handle locales properly. This is done by using the
> %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

%find_lang is not working in this case. And %{_datadir}/locale/* is not used.
Comment 7 Alexey Torkhov 2009-03-28 16:11:49 EDT
(In reply to comment #4)
> - Fixed owener of /usr/share/kvirc

Following dirs are unowned too:
%{_datadir}/%{name}/4.0
%{_datadir}/%{name}/4.0/locale

> I didn't notice any difference between kvirc running with 
> /usr/share/kvirc/4.0/modules/caps/ directory and without it.

Seems they are used somehow. Lets bring it back to be closer to upstream and simply ignore rpmlint warnings.


For record, fedora-legal approved usage of exceptions in license field:
https://www.redhat.com/archives/fedora-legal-list/2009-March/msg00064.html
Comment 8 nucleo 2009-03-28 16:14:58 EDT
(In reply to comment #5)
> 1st.  Qt4.5 is soon to hit, you need to check with upstream KVIrc devs to make
> sure the current code base is compatible.
We can wait until Qt 4.5 will be in updates.
Scratch builds are already built with Qt 4.5.0 and they are not running in F10 untill Qt 4.5 will be in updates.
This build uses Qt 4.4.3:
http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc-4.0.0-0.1.20090328svn3168.fc10.i386.rpm

> 2nd and the show stopper is this
> 
> MUST: The spec file MUST handle locales properly. This is done by using the
> %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
> 
There is can not be used %find_lang because there are many .mo files with different names. There is not just %{_datadir}/locale/* (in this case rpmlint shows errors caused translation files) but %lang() %{_datadir}/%{name}/4.0/locale/*.mo for every language that's why rpmlint runs without errors.
Comment 9 nucleo 2009-03-28 17:39:32 EDT
(In reply to comment #5)
> 1st.  Qt4.5 is soon to hit, you need to check with upstream KVIrc devs to make
> sure the current code base is compatible.

As I understood from this ticket
https://svn.kvirc.de/kvirc/ticket/375
there is considered possibility to build with Qt 4.5.
Comment 10 nucleo 2009-03-28 17:55:00 EDT
(In reply to comment #7)
> Following dirs are unowned too:
> %{_datadir}/%{name}/4.0
> %{_datadir}/%{name}/4.0/locale
 
> Seems they are used somehow. Lets bring it back to be closer to upstream and
> simply ignore rpmlint warnings.

- Fixed owner of /usr/share/kvirc/4.0 and /usr/share/kvirc/4.0/locale
- caps dir included in package

New spec, srpm and i386 rpm

http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc.spec
http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc-4.0.0-0.2.20090328svn3168.fc10.src.rpm
http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc-4.0.0-0.2.20090328svn3168.fc10.i386.rpm

$ rpmlint kvirc-4.0.0-0.2.20090328svn3168.fc10.i386.rpm
kvirc.i386: E: zero-length /usr/share/kvirc/4.0/modules/caps/tool/sharedfilewindow
kvirc.i386: E: zero-length /usr/share/kvirc/4.0/modules/caps/tool/iograph
kvirc.i386: E: zero-length /usr/share/kvirc/4.0/modules/caps/tool/filetransferwindow
kvirc.i386: E: zero-length /usr/share/kvirc/4.0/modules/caps/tool/logview
kvirc.i386: E: zero-length /usr/share/kvirc/4.0/modules/caps/action/url
1 packages and 0 specfiles checked; 5 errors, 0 warnings.
Comment 11 Alexey Torkhov 2009-04-03 11:47:00 EDT
Only duplicate files left to fix in this package:

- It lists COPYING, FAQ and README as %doc, but those files simultaneously got installed into %{_datadir}/%{name}. They must be excluded from install.
Comment 12 nucleo 2009-04-04 08:49:42 EDT
(In reply to comment #11)
- Exclude duplicate files
- svn snapshot 3172
- BR dbus-devel

Spec URL: http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc.spec
SRPM URL: http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc-4.0.0-0.3.20090404svn3172.fc10.src.rpm
Comment 13 nucleo 2009-04-04 10:02:12 EDT
File %{_datadir}/%{name}/4.0/license/COPYING is needed for About window.
May be COPYING can be both in %doc and %{_datadir}/%{name}?
Comment 14 Alexey Torkhov 2009-04-05 04:29:15 EDT
(In reply to comment #13)
> File %{_datadir}/%{name}/4.0/license/COPYING is needed for About window.
> May be COPYING can be both in %doc and %{_datadir}/%{name}?  

May be make it a symlink (relative, to prevent rpmlint warning) ?
Comment 15 nucleo 2009-04-05 07:03:14 EDT
(In reply to comment #14)
> May be make it a symlink (relative, to prevent rpmlint warning) ?  

- symlink to COPYING

Spec URL: http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc.spec
SRPM URL: http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc-4.0.0-0.4.20090404svn3172.fc10.src.rpm
Comment 17 Alexey Torkhov 2009-04-08 04:03:17 EDT
Now everything seems fine. Here is the review:

+ rpmlint output without serious errors:
kvirc.x86_64: E: zero-length /usr/share/kvirc/4.0/modules/caps/tool/sharedfilewindow
kvirc.x86_64: E: zero-length /usr/share/kvirc/4.0/modules/caps/tool/iograph
kvirc.x86_64: E: zero-length /usr/share/kvirc/4.0/modules/caps/tool/filetransferwindow
kvirc.x86_64: E: zero-length /usr/share/kvirc/4.0/modules/caps/tool/logview
kvirc.x86_64: E: zero-length /usr/share/kvirc/4.0/modules/caps/action/url
3 packages and 0 specfiles checked; 5 errors, 0 warnings.

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
  %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ File, containing the text of the licenses for the package is included in
  %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source.
+ The package successfully compiles and builds into binary rpms on at least
  one supported architecture (x86_64).
+ All build dependencies are listed in BuildRequires.
+ Spec file handles locales properly (%find_lang doesn't work here).
+ Package call ldconfig in %post and %postun.
+ The package does not designed to be relocatable.
+ A package owns all directories that it creates.
+ A package does not list a file more than once in the spec file's %files
  listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot}.
+ The package consistently uses macros.
+ The package contains code, or permissable content.
+ Does not contain large documentation files.
+ Includes only doc files in %doc.
+ No headers.
+ No static libraries.
+ The package does not contain pkgconfig(.pc) files.
+ If a package contains library files with a suffix (e.g. libfoo.so.1.1), then
  library files that end in .so (without suffix) must go in a -devel package.
+ No devel packages.
+ The package does not contain any .la libtool archives.
+ Includes %{name}.desktop file. Properly installed with desktop-file-install.
+ The package does not own files or directories already owned by other
  packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot}.
+ All filenames in the package are valid UTF-8.
+ Package builds in mock.
+ Package functions as described even with QT 4.5.
+ Scriptlets are sane.


This package is APPROVED.
Comment 18 nucleo 2009-04-08 05:28:27 EDT
(In reply to comment #17)
> Now everything seems fine. Here is the review:

Thank you for review.


New Package CVS Request
=======================
Package Name: kvirc
Short Description: KVIrc is a free portable IRC client
Owners: nucleo
Branches: F-9 F-10 F-11
InitialCC:
Comment 19 nucleo 2009-04-08 10:41:22 EDT
New Package CVS Request
=======================
Package Name: kvirc
Short Description: KVIrc is a free portable IRC client
Owners: nucleo
Branches: F-9 F-10
InitialCC:
Comment 20 nucleo 2009-04-09 05:33:55 EDT
New rpmlint warning
kvirc.i386: W: name-repeated-in-summary KVIrc

- svn snapshot 3173
- Summary changed to Free portable IRC client

New Package CVS Request
=======================
Package Name: kvirc
Short Description: Free portable IRC client
Owners: nucleo
Branches: F-9 F-10
InitialCC:
Comment 21 Kevin Fenzi 2009-04-09 19:34:23 EDT
cvs done.
Comment 22 Fedora Update System 2009-04-09 20:32:38 EDT
kvirc-4.0.0-0.6.20090409svn3173.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kvirc-4.0.0-0.6.20090409svn3173.fc10
Comment 23 Fedora Update System 2009-04-09 20:37:28 EDT
kvirc-4.0.0-0.6.20090409svn3173.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kvirc-4.0.0-0.6.20090409svn3173.fc9
Comment 24 Fedora Update System 2009-04-13 15:30:54 EDT
kvirc-4.0.0-0.6.20090409svn3173.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kvirc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3501
Comment 25 Fedora Update System 2009-04-13 15:38:18 EDT
kvirc-4.0.0-0.6.20090409svn3173.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update kvirc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3553
Comment 26 Fedora Update System 2009-04-21 20:48:03 EDT
kvirc-4.0.0-0.6.20090409svn3173.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2009-04-21 21:01:25 EDT
kvirc-4.0.0-0.6.20090409svn3173.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 nucleo 2011-07-11 23:18:51 EDT
Package Change Request
======================
Package Name: kvirc
New Branches: el6
Owners: nucleo
Comment 29 Gwyn Ciesla 2011-07-11 23:36:17 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.